## visad.java2d
Class AnimationSetControlJ2D

    java.lang.Object
      visad.Control
          visad.AnimationSetControl
              visad.java2d.AnimationSetControlJ2D

All Implemented Interfaces:
  Cloneable, Serializable

public class AnimationSetControlJ2D
extends AnimationSetControl

AnimationSetControlJ2D is the VisAD class for sampling Animation steps under Java2D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.Control
``

Constructor Summary
`AnimationSetControlJ2D(DisplayImpl d, AnimationControl p)`

Method Summary
`void` `setSet(Set s, boolean noChange)` set Set of Animation value

Methods inherited from class visad.AnimationSetControl
`clipCurrent, equals, getIndex, getSaveString, getSet, getValue, setSaveString, setSet, syncControl`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, clone, getDisplay, getDisplayRenderer, getInstanceNumber, incTick, nullControl, peekTicks, removeControlListener, resetTicks, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnimationSetControlJ2D

    public AnimationSetControlJ2D(DisplayImpl d,
                                  AnimationControl p)

Method Detail

### setSet

    public void setSet(Set s,
                       boolean noChange)
                throws VisADException,
                       RemoteException

  Description copied from class: `AnimationSetControl`
  set Set of Animation value

  Overrides:
    `setSet` in class `AnimationSetControl`
  Parameters:
    `s` - - Set of RealType values for Animation steps
    `noChange` - = true to not trigger changeControl (used by ScalarMap.setRange())
  Throws:
    `RemoteException` - if an RMI error occurs
    `VisADException` - if a VisAD error occurs